Subject: LL24

From: "Philip Nye" <[email-masked]>
Date: Wed, 5 Mar 2003 10:26:06 -0000

I agree in an academic sense with Subrata that the requirement is not really
that addresses be picked in a Pseudo-Random fashion. The requirement is that
hosts pick addresses using an algorithm which minimises the chance of
conficts in the first place and which prevents the chance of two hosts
moving through the same sequence in lock-step altogether.

However, I am not convinced at all by any of the other algorithms presented.
Furthermore, in the absence of a demonstrably better algorithm, weakening
the requirement is likely to lead to more use of half-baked algoithms which
have not been properly analysed. The document describes the issues
adequately such that the intent is clear. There is a MUST statement which
could be used to reject any "bad" pseudo-random algorithm. And the document
could always be updated should a clearly superior algorithm be presented.

I therefore reject LL24.

Philip